Sada je: 23 sij 2020, 00:46.
Linux, poslužitelj, mreže i sigurnost

Moderator/ica: Moderatori/ce

ok negjde u cijelom ovom terminalu sam pročitala register panic notifier.... :lol: ako to znači ono što mislim, nije dobro :D
Postovi: 49
Postovi: 49
Pridružen/a: 25 tra 2014, 13:16
Podijelio/la zahvalu: 6 puta
Primio/la zahvalu: 3 puta
Spol: Ž
OS: Ubuntu 12.04 LTS
vision je napisao/la:Odoste predaleko...
@Mana ako već nisi pogledaj ovaj post, sličan problem:
viewtopic.php?f=8&t=11545#p213489 (samo nzm koja je kartica u pitanju)
Problem je što u novi kernel (nakon update) nije uključen modul za ath9k.



evo probala sam i zapela na predzadnjoj operaciji. na danom linku piše ako ti se javi greška što da napraviš, ali meni se nija javila greška, pa sam išla odmah na make i sudo make (kao što je navedeno nalinu), ali evo što mi izbacuje. ne kužim gdje je problem i što sada treba utipkati?
Kod: Označi sve
manuela@manuela-Inspiron-3537:~$ sudo apt-get install linux-headers-generic buil-essential
[sudo] password for manuela:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package buil-essential
manuela@manuela-Inspiron-3537:~$ sudo apt-get install linux-headers-generic build-essential
Reading package lists... Done
Building dependency tree       
Reading state information... Done
build-essential is already the newest version.
linux-headers-generic is already the newest version.
The following packages were automatically installed and are no longer required:
  mingw-w64 sbsigntool gir1.2-timezonemap-1.0 linux-image-3.5.0-22-generic
  realpath efibootmgr diffstat libdmraid1.0.0.rc16 libdebconfclient0
  binutils-mingw-w64-i686 linux-headers-3.2.0-60 kpartx-boot libopts25
  gir1.2-json-1.0 quilt linux-headers-3.5.0-22-generic
  linux-headers-3.2.0-60-generic autogen gcc-mingw-w64 user-setup
  gcc-mingw-w64-i686 kpartx rdate binutils-mingw-w64-x86-64
  libdebian-installer4 libopts25-dev btrfs-tools apt-clone localechooser-data
  language-pack-kde-en linux-headers-3.5.0-22 gcc-mingw-w64-base
  gcc-mingw-w64-x86-64 archdetect-deb dmraid python-pyicu libkms1
  language-pack-kde-en-base mingw-w64-dev gir1.2-xkl-1.0
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
manuela@manuela-Inspiron-3537:~$ cd Desktop/compat-drivers-3.9-rc4-2-s sudo su ./scripts/driver-select ath9k make
manuela@manuela-Inspiron-3537:~/Desktop/compat-drivers-3.9-rc4-2-s$ make sudo make install
make: *** No rule to make target `sudo'.  Stop.
manuela@manuela-Inspiron-3537:~/Desktop/compat-drivers-3.9-rc4-2-s$
Postovi: 49
Postovi: 49
Pridružen/a: 25 tra 2014, 13:16
Podijelio/la zahvalu: 6 puta
Primio/la zahvalu: 3 puta
Spol: Ž
OS: Ubuntu 12.04 LTS
negdje sam našla i ovu naredbu, pa eto što kaže

Kod: Označi sve
manuela@manuela-Inspiron-3537:~$ sudo lshw -numeric -C network
[sudo] password for manuela:
  *-network               
       description: Ethernet interface
       product: RTL8101E/RTL8102E PCI Express Fast Ethernet controller [10EC:8136]
       vendor: Realtek Semiconductor Co., Ltd. [10EC]
       physical id: 0
       bus info: pci@0000:01:00.0
       logical name: eth0
       version: 07
       serial: ec:f4:bb:81:12:d5
       size: 100Mbit/s
       capacity: 100Mbit/s
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress msix vpd bus_master cap_list ethernet physical tp mii 10bt 10bt-fd 100bt 100bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=r8169 driverversion=2.3LK-NAPI duplex=full ip=192.168.1.252 latency=0 link=yes multicast=yes port=MII speed=100Mbit/s
       resources: irq:62 ioport:4000(size=256) memory:c0700000-c0700fff memory:c0400000-c0403fff
  *-network UNCLAIMED
       description: Network controller
       product: QCA9565 / AR9565 Wireless Network Adapter [168C:36]
       vendor: Qualcomm Atheros [168C]
       physical id: 0
       bus info: pci@0000:02:00.0
       version: 01
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list
       configuration: latency=0
       resources: memory:c0600000-c067ffff memory:9fb00000-9fb0ffff
manuela@manuela-Inspiron-3537:~$
Postovi: 49
Postovi: 49
Pridružen/a: 25 tra 2014, 13:16
Podijelio/la zahvalu: 6 puta
Primio/la zahvalu: 3 puta
Spol: Ž
OS: Ubuntu 12.04 LTS
otišla sam sada u synaptic i mislim da taj ath9k nije problem jer mi piše da je instaliram: oem-wireless-ath9k 3.9-rc-4-2 driver in DKMS format
Postovi: 49
Postovi: 49
Pridružen/a: 25 tra 2014, 13:16
Podijelio/la zahvalu: 6 puta
Primio/la zahvalu: 3 puta
Spol: Ž
OS: Ubuntu 12.04 LTS
Firmware možeš uvijek provjeriti ( u /lib/firmware/...) da li ga imaš instaliranog. Uostalom ne bi ti radilo ni na jednom kernelu, ako ga nemaš.
Na predzadnjoj naredbi ti je zapelo zbog toga što je neko zakinuo jedno slovo:
umjesto
Kod: Označi sve
buil-essential

treba da ide
Kod: Označi sve
build-essential
Avatar
Postovi: 1801
Postovi: 1801
Pridružen/a: 15 sij 2014, 09:37
Lokacija: Zaljev svetaca
Podijelio/la zahvalu: 69 puta
Primio/la zahvalu: 177 puta
Spol:
OS: Leap 15.1 / Hera 5.1
piše mi

Kod: Označi sve
manuela@manuela-Inspiron-3537:~$ /lib/firmware/
bash: /lib/firmware/: Is a directory
manuela@manuela-Inspiron-3537:~$


kaj sad?

upravo sam na dvakoraka da si instaliram 14.04, ali i to me muči :D
Postovi: 49
Postovi: 49
Pridružen/a: 25 tra 2014, 13:16
Podijelio/la zahvalu: 6 puta
Primio/la zahvalu: 3 puta
Spol: Ž
OS: Ubuntu 12.04 LTS
možeš si instalriati i samo novi kernel sa novim driverima jer mi se čini da bi moglo biti kako taj kernel nema odgovarajuće. ja imam za debian prekompajlriane novije:
64bitni: http://193.136.128.70/linux-image-3.13. ... _amd64.deb
32bitni: http://193.136.128.70/linux-image-3.13. ... m_i386.deb

moraš instalirati verziju koja ti je na ubuntu. pokreni uname -a, ia ko ti je nešto tipa ovo: x86_64 GNU/Linux skini 64 bitnu verziju, a ako je i386 GNU/Linux instaliraj 32 bitnu verziju. kada skineš fajl, deb paket se instalria sa sudo dpkg -i ime_paketa. rebootaj u taj kernel i pogledaj jel ti radi sve. tako češ imat 12.04 i novi kernel.
Es gibt keinen Gott, kein Universum, keine menschliche Rasse, kein irdisches Leben, keinen Himmel, keine Hölle. Es ist alles ein Traum - ein grotesker und dummer Traum. Nichts existiert außer dir. Und du bist nur ein Gedanke - ein vagabundierender Gedanke, ein nutzloser Gedanke, ein heimatloser Gedanke, der verloren in der leeren Ewigkeit wandelt!
Avatar
Moderator
Postovi: 9943
Moderator
Postovi: 9943
Pridružen/a: 07 pro 2007, 18:07
Podijelio/la zahvalu: 161 puta
Primio/la zahvalu: 271 puta
Spol: Y
OS: utuntu 17.04
shrike je napisao/la:možeš si instalriati i samo novi kernel sa novim driverima jer mi se čini da bi moglo biti kako taj kernel nema odgovarajuće. ja imam za debian prekompajlriane novije:
64bitni: http://193.136.128.70/linux-image-3.13. ... _amd64.deb
32bitni: http://193.136.128.70/linux-image-3.13. ... m_i386.deb

moraš instalirati verziju koja ti je na ubuntu. pokreni uname -a, ia ko ti je nešto tipa ovo: x86_64 GNU/Linux skini 64 bitnu verziju, a ako je i386 GNU/Linux instaliraj 32 bitnu verziju. kada skineš fajl, deb paket se instalria sa sudo dpkg -i ime_paketa. rebootaj u taj kernel i pogledaj jel ti radi sve. tako češ imat 12.04 i novi kernel.

ima u repozitorijima 3.2, 3.8, 3.11 i 3.13 bolje da proba jedan od tih...

samo pogledaj koji koristis sa
Kod: Označi sve
uname -a


ili koristis onaj kernel prije updatea i pocekas novi update kernela mozda to srede
Nije teško biti toliko nesrećan da bi čovek počeo da pije. Ljude treba odvikavati od nesreće, a ne od alkohola. Nesreća je veći porok.
Avatar
Postovi: 9934
Postovi: 9934
Pridružen/a: 12 tra 2008, 22:45
Lokacija: Split
Podijelio/la zahvalu: 7 puta
Primio/la zahvalu: 71 puta
Spol: M
OS: KDE Neon
malo sam zapela, nisam skužila kako se reboota u kernel, pa molim pojašnjenje? vjerojatno mi niti zadnje radnje nisu ok

Kod: Označi sve
manuela@manuela-Inspiron-3537:~$ sudo dpkg -'/home/manuela/Desktop/linux-image-3.13.2_3.13.2-10.00.Custom_amd64.deb'
[sudo] password for manuela:
dpkg: error: unknown option -/

Type dpkg --help for help about installing and deinstalling packages [*];
Use `dselect' or `aptitude' for user-friendly package management;
Type dpkg -Dhelp for a list of dpkg debug flag values;
Type dpkg --force-help for a list of forcing options;
Type dpkg-deb --help for help about manipulating *.deb files;

Options marked [*] produce a lot of output - pipe it through `less' or `more' !
manuela@manuela-Inspiron-3537:~$ dpkg --help
Usage: dpkg [<option> ...] <command>

Commands:
  -i|--install       <.deb file name> ... | -R|--recursive <directory> ...
  --unpack           <.deb file name> ... | -R|--recursive <directory> ...
  -A|--record-avail  <.deb file name> ... | -R|--recursive <directory> ...
  --configure        <package> ... | -a|--pending
  --triggers-only    <package> ... | -a|--pending
  -r|--remove        <package> ... | -a|--pending
  -P|--purge         <package> ... | -a|--pending
  --get-selections [<pattern> ...] Get list of selections to stdout.
  --set-selections                 Set package selections from stdin.
  --clear-selections               Deselect every non-essential package.
  --update-avail <Packages-file>   Replace available packages info.
  --merge-avail <Packages-file>    Merge with info from file.
  --clear-avail                    Erase existing available info.
  --forget-old-unavail             Forget uninstalled unavailable pkgs.
  -s|--status <package> ...        Display package status details.
  -p|--print-avail <package> ...   Display available version details.
  -L|--listfiles <package> ...     List files `owned' by package(s).
  -l|--list [<pattern> ...]        List packages concisely.
  -S|--search <pattern> ...        Find package(s) owning file(s).
  -C|--audit                       Check for broken package(s).
  --print-architecture             Print dpkg architecture.
  --compare-versions <a> <op> <b>  Compare version numbers - see below.
  --force-help                     Show help on forcing.
  -Dh|--debug=help                 Show help on debugging.

  -h|--help                        Show this help message.
  --version                        Show the version.

Use dpkg -b|--build|-c|--contents|-e|--control|-I|--info|-f|--field|
 -x|--extract|-X|--vextract|--fsys-tarfile  on archives (type dpkg-deb --help).

For internal use: dpkg --assert-support-predepends | --predep-package |
  --assert-working-epoch | --assert-long-filenames | --assert-multi-conrep |
  --assert-multi-arch.

Options:
  --admindir=<directory>     Use <directory> instead of /var/lib/dpkg.
  --root=<directory>         Install on a different root directory.
  --instdir=<directory>      Change installation dir without changing admin dir.
  --path-exclude=<pattern>   Do not install paths which match a shell pattern.
  --path-include=<pattern>   Re-include a pattern after a previous exclusion.
  -O|--selected-only         Skip packages not selected for install/upgrade.
  -E|--skip-same-version     Skip packages whose same version is installed.
  -G|--refuse-downgrade      Skip packages with earlier version than installed.
  -B|--auto-deconfigure      Install even if it would break some other package.
  --[no-]triggers            Skip or force consequential trigger processing.
  --no-debsig                Do not try to verify package signatures.
  --no-act|--dry-run|--simulate
                             Just say what we would do - don't do it.
  -D|--debug=<octal>         Enable debugging (see -Dhelp or --debug=help).
  --status-fd <n>            Send status change updates to file descriptor <n>.
  --log=<filename>           Log status changes and actions to <filename>.
  --ignore-depends=<package>,...
                             Ignore dependencies involving <package>.
  --force-...                Override problems (see --force-help).
  --no-force-...|--refuse-...
                             Stop when problems encountered.
  --abort-after <n>          Abort after encountering <n> errors.

Comparison operators for --compare-versions are:
  lt le eq ne ge gt       (treat empty version as earlier than any version);
  lt-nl le-nl ge-nl gt-nl (treat empty version as later than any version);
  < << <= = >= >> >       (only for compatibility with control file syntax).

Use `dselect' or `aptitude' for user-friendly package management.
manuela@manuela-Inspiron-3537:~$ dselect
The program 'dselect' is currently not installed.  You can install it by typing:
sudo apt-get install dselect
manuela@manuela-Inspiron-3537:~$ aptitude
The program 'aptitude' is currently not installed.  You can install it by typing:
sudo apt-get install aptitude
manuela@manuela-Inspiron-3537:~$ sudo apt-get install dselect
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  mingw-w64 sbsigntool gir1.2-timezonemap-1.0 linux-image-3.5.0-22-generic
  realpath efibootmgr diffstat libdmraid1.0.0.rc16 libdebconfclient0
  binutils-mingw-w64-i686 linux-headers-3.2.0-60 kpartx-boot libopts25
  gir1.2-json-1.0 quilt linux-headers-3.5.0-22-generic
  linux-headers-3.2.0-60-generic autogen gcc-mingw-w64 user-setup
  gcc-mingw-w64-i686 kpartx rdate binutils-mingw-w64-x86-64
  libdebian-installer4 libopts25-dev btrfs-tools apt-clone localechooser-data
  language-pack-kde-en linux-headers-3.5.0-22 gcc-mingw-w64-base
  gcc-mingw-w64-x86-64 archdetect-deb dmraid python-pyicu libkms1
  language-pack-kde-en-base mingw-w64-dev gir1.2-xkl-1.0
Use 'apt-get autoremove' to remove them.
The following NEW packages will be installed:
  dselect
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 184 kB of archives.
After this operation, 1,204 kB of additional disk space will be used.
Get:1 http://cz.archive.ubuntu.com/ubuntu/ precise-updates/main dselect amd64 1.16.1.2ubuntu7.2 [184 kB]
Fetched 184 kB in 4s (37.6 kB/s) 
Selecting previously unselected package dselect.
(Reading database ... 270324 files and directories currently installed.)
Unpacking dselect (from .../dselect_1.16.1.2ubuntu7.2_amd64.deb) ...
Processing triggers for man-db ...
Setting up dselect (1.16.1.2ubuntu7.2) ...
manuela@manuela-Inspiron-3537:~$ reboot
reboot: Need to be root
manuela@manuela-Inspiron-3537:~$
Postovi: 49
Postovi: 49
Pridružen/a: 25 tra 2014, 13:16
Podijelio/la zahvalu: 6 puta
Primio/la zahvalu: 3 puta
Spol: Ž
OS: Ubuntu 12.04 LTS
Mana je napisao/la:malo sam zapela, nisam skužila kako se reboota u kernel, pa molim pojašnjenje? vjerojatno mi niti zadnje radnje nisu ok

kada palis komp u grubu mozes birati koji kernel ces koristiti a ako ti se grub ne prikazuje jer imas instaliran samo ubuntu onda stisces SHIFT kada palis komp pa ce ti se otvoriti grub
Nije teško biti toliko nesrećan da bi čovek počeo da pije. Ljude treba odvikavati od nesreće, a ne od alkohola. Nesreća je veći porok.
Avatar
Postovi: 9934
Postovi: 9934
Pridružen/a: 12 tra 2008, 22:45
Lokacija: Split
Podijelio/la zahvalu: 7 puta
Primio/la zahvalu: 71 puta
Spol: M
OS: KDE Neon

Na mreži
Trenutno korisnika/ca: / i 2 gostiju.